// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define TestTrace_Classes_Package_A1_Package_E1_E1_Broadcast_BODY

/************************************************************
 E1_Broadcast class body
 ************************************************************/

// include associated header file
#include "TestTrace/Classes/Package_A1/Package_E1/E1_Broadcast.h"

// Derived includes directives
#include "TestTrace/Interfaces/I_MyInterface_1.h"
#include "TestTrace/Interfaces/I_MyInterface_2.h"
#include "TestTrace/Types/MyComplexType_1.h"
#include "TestTrace/Types/MyComplexType_2.h"

// Derived using namespaces
using namespace TestTrace::Interfaces;
using namespace TestTrace::Types;
namespace TestTrace {
namespace Classes {
namespace Package_A1 {
namespace Package_E1 {

// static attributes (if any)

/**
 * 
 * @param state 
 */
void E1_Broadcast::MyOperation_1(BooleanType /*in*/state) {
}

/**
 * 
 * @param param1 
 * @param param2 
 * @param param3 
 * @param param4 
 * @param param5 
 * @param param6 
 */
void E1_Broadcast::MyOperation_2(MyComplexType_1 /*in*/param1,
		MyComplexType_2 /*in*/param2, Integer /*in*/param3, Double /*in*/param4,
		Text /*in*/param5, MyEnumeration /*in*/param6) {
}

} // of namespace Package_E1
} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of E1_Broadcast class body
 ************************************************************/
